Bug 212900 - (DG-Renderer-Smarty) Review Request: php-pear-Structures-DataGrid-Renderer-Smarty - Renderer driver using Smarty
Review Request: php-pear-Structures-DataGrid-Renderer-Smarty - Renderer drive...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: DG-Renderer-Pager
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-29 20:39 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-15 23:18:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-10-29 20:39:27 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Structures-DataGrid-Renderer-Smarty.spec

SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Structures-DataGrid-Renderer-Smarty-0.1.2-1.src.rpm

Description:
This is a Rendering driver for Structures_DataGrid using Smarty. It adds the
necessary variables and functions to a Smarty instance, in order to build a
full-featured DataGrid within a Smarty template.
Comment 1 Jason Tibbitts 2006-11-15 14:19:04 EST
Look like there's a typo in one of your Requires: lines:
   php-pear(Strucutres_DataGrid_Renderer_Pager)
                 ^^
Fixing this gets things going.
Comment 2 Jason Tibbitts 2006-11-15 14:48:43 EST
Another no-documentation package with an incredibly long name:

W: php-pear-Structures-DataGrid-Renderer-Smarty no-documentation
W: php-pear-Structures-DataGrid-Renderer-Smarty filename-too-long-for-joliet
php-pear-Structures-DataGrid-Renderer-Smarty-0.1.2-1.fc7.noarch.rpm

No blockers, though.

* source files match upstream:
 a5e209d09588b82c3e46b6f4d7fef242  Structures_DataGrid_Renderer_Smarty-0.1.2.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
O rpmlint output is acceptable.
* final provides and requires are sane:
   php-pear(Structures_DataGrid_Renderer_Smarty) = 0.1.2
   php-pear-Structures-DataGrid-Renderer-Smarty = 0.1.2-1.fc7
  =
   /bin/sh
   /usr/bin/pear
   php-Smarty
   php-pear(PEAR)
   php-pear(Structures_DataGrid_Renderer_Pager)
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module installation).
* code, not content.
* no documentation, so no -docs subpackage is necessary.

APPROVED
Comment 3 Christopher Stone 2006-11-15 23:18:01 EST
Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.